﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Media;
using System.Speech.Synthesis;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp93
{
    public partial class Form1 : Form
    {
        SpeechSynthesizer engine = new SpeechSynthesizer();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            SoundPlayer player = new SoundPlayer("file_example_WAV_1MG.wav");
            player.Play();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            axWindowsMediaPlayer1.URL = "wdwsd1.mp4";
            axWindowsMediaPlayer1.Ctlcontrols.play();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            axWindowsMediaPlayer1.uiMode = "none";
        }

        private void button3_Click(object sender, EventArgs e)
        {
            axWindowsMediaPlayer1.Ctlcontrols.pause();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            //LINQ Language Integrated Query
            int[] grades = { 3, 6, 1, 2, 4, 6, 7, 8, 1, 10, 5};
            var passGrades = (from grade in grades
                             where grade >= 5
                             select grade);
            
            foreach(int i in passGrades)
            {
                richTextBox1.AppendText(i.ToString() + Environment.NewLine);
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            String[] names = { "Pavlos", "Leonidas", "Panagiota", "Spiros", "Agamemnwn", "Kleomenis", "Christina" };
            var someNames = from name in names
                            where name.StartsWith("Pa")
                            select name.ToUpper();
            foreach (string s in someNames)
            {
                richTextBox1.AppendText(s + Environment.NewLine);
            }
        }

        private void button6_Click(object sender, EventArgs e)
        {
            engine.SelectVoice("Microsoft Stefanos");
            engine.SpeakAsync(textBox1.Text);
        }

        private void button7_Click(object sender, EventArgs e)
        {
            StringBuilder builder = new StringBuilder();
            foreach(var voice in engine.GetInstalledVoices())
            {
                builder.Append(voice.VoiceInfo.Name).Append(Environment.NewLine);
            }
            MessageBox.Show(builder.ToString());
        }

        private void button8_Click(object sender, EventArgs e)
        {
            if (engine.State == SynthesizerState.Speaking)
                engine.Pause();
        }

        private void button9_Click(object sender, EventArgs e)
        {
            engine.Rate = 8;
            engine.SpeakAsync(textBox1.Text);
        }
    }
}
